Bug 227016 - window -> output -> terminal , connect a remote host ,i cannot read outputs correctly, cause wrong encoding
window -> output -> terminal , connect a remote host ,i cannot read outputs c...
Status: REOPENED
Product: cnd
Classification: Unclassified
Component: Terminalemulator
7.3
PC Windows 7
: P3 (vote)
: TBD
Assigned To: ilia
issues@cnd
: I18N
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-05 06:44 UTC by java_ide_901
Modified: 2014-02-19 13:13 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description java_ide_901 2013-03-05 06:44:36 UTC
Product Version = NetBeans IDE 7.3 (Build 201302132200)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.6.0_31
Runtime = Java HotSpot(TM) 64-Bit Server VM 20.6-b01


i guess ide use local system default encoding , ANSI ( GBK or else)
while the remote use UTF-8
I think it's a bug, at least, it is not very good function (i like it,support ipv6).
Normal, user can choose what coding to use like putty

i hope it can do better, by the way NetBean it's a goode ide
Comment 1 soldatov 2013-08-27 13:13:25 UTC
It is a real problem if I use local Windows (cp1251) and remote Unix (UTF-8). In this case I can't understand cyrillic file paths and I can't type any russian word.
Comment 2 soldatov 2013-09-23 11:54:48 UTC
up
Comment 3 ilia 2014-02-17 07:57:20 UTC

*** This bug has been marked as a duplicate of bug 241760 ***
Comment 4 ilia 2014-02-19 13:13:39 UTC
Reopened.

Fix for bug #241760 only partially fixes this case.
Investigating.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo